<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\User\Models\User;
use EventPortal\Domain\Util\Menu\Facades\Menu;
use EventPortal\Domain\Util\Menu\Link;
use EventPortal\Enums\InertiaMethod;

Menu::make('event')
    ->addLinks(function (Event $event, User $user) {
        return [
            Link::make('Home')
                ->route('delegate.landing', [
                    'event' => $event->slug,
                ]),
            Link::make('Agenda')
                ->route('agenda.index', [
                    'event' => $event->slug,
                ]),
            Link::make('Venue')
                ->route('venue.index', [
                    'event' => $event->slug,
                ]),
            Link::make('FAQs')
                ->route('faq.index', [
                    'event' => $event->slug,
                ]),
            Link::make('Contact')
                ->route('contact.index', [
                    'event' => $event->slug,
                ]),
            Link::make($user->full_name)
                ->route('account.index')
                ->icon('chevron-right'),
        ];
    })
    ->addButtons(function () {
        return [
            Button::make('Sign out')
                ->method(InertiaMethod::POST())
                ->route('logout.submit')
                ->variant('secondary')
                ->icon('logout', 'right'),
        ];
    });

Menu::make('event.cancelled')
    ->addLinks(function (User $user) {
        return [
            Link::make($user->full_name)
                ->route('account.index')
                ->icon('chevron-right'),
        ];
    })
    ->addButtons(function () {
        return [
            Button::make('Sign out')
                ->method(InertiaMethod::POST())
                ->route('logout.submit')
                ->variant('secondary')
                ->icon('logout', 'right')
                ->white(),
        ];
    });
