<?php

namespace EventPortal\Domain\Util;

class Alert
{
    /** @var string */
    public $message;

    /** @var string|null */
    public $type;

    public function __construct(string $message, ?string $type)
    {
        $this->message = $message;
        $this->type = $type;
    }

    public static function make(string $message, ?string $type): self
    {
        return new static($message, $type);
    }

    public function toArray(): array
    {
        return [
            'type' => $this->type,
            'message' => $this->message,
        ];
    }
}
