<?php

namespace EventPortal\Http\Controllers\Delegate\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Support\Str;
use Inertia\Response;

class VenueController extends Controller
{
    public function __invoke(Event $event): Response
    {
        return DelegateRender::component('Delegate/Venue/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title(Str::plural('Venue', $event->venues->count()))
                    ->description('All the details about where the event will be hosted')
            )
            ->get();
    }
}
