<?php

namespace EventPortal\Tests\Unit\Agenda;

use EventPortal\Domain\Agenda\SessionErrors;
use EventPortal\Tests\TestCase;

class SessionErrorsTest extends TestCase
{

    /** @test **/
    public function can_swap_from_database()
    {
        $input = [
            'name' => 'Name error',
            'description' => 'Description error',
        ];

        $expected = [
            'session-name' => 'Name error',
            'session-description' => 'Description error',
        ];

        $this->assertEquals($expected, SessionErrors::swapDatabaseKeysForBrowserKeys($input));
    }

    /** @test **/
    public function can_swap_from_browser()
    {
        $input = [
            'session-name' => 'Name error',
            'session-description' => 'Description error',
        ];

        $expected = [
            'name' => 'Name error',
            'description' => 'Description error',
        ];

        $this->assertEquals($expected, SessionErrors::swapBrowserKeysForDatabaseKeys($input));
    }
}
