<?php

namespace EventPortal\Tests\Unit\Concerns;

use EventPortal\Domain\EventDelegate\RegistrationStatus;
use EventPortal\Tests\Support\TestModel;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class HasStatusTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function has_model_got_status()
    {
        $model = factory(TestModel::class)->create(['status' => 'invited']);

        $this->assertTrue($model->statusIs(RegistrationStatus::invited()));
        $this->assertFalse($model->statusIs(RegistrationStatus::declined()));
    }

    /** @test **/
    public function has_model_got_any_of_status()
    {
        $model = factory(TestModel::class)->create(['status' => 'declining']);

        $this->assertTrue($model->statusIs([RegistrationStatus::declined(), RegistrationStatus::declining()]));
    }
}
