<?php

namespace EventPortal\Tests\Unit\Models;

use EventPortal\Domain\Permission\Models\Role;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class RoleTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function can_filter_out_super_admin(): void
    {
        $admin = factory(Role::class)->state('admin')->create();
        $superAdmin = factory(Role::class)->state('super-admin')->create();

        $result = Role::withoutSuperAdmin()->get();

        $this->assertCount(1, $result);
        $this->assertContainsModel($admin, $result);
        $this->assertNotContainsModel($superAdmin, $result);
    }
}
